Note: Google Maps Engine has been deprecated as of January 20, 2015.

Google Maps Engine will continue to work through January 29, 2016, and will no longer be available after that date.

Supported browsers

Google Maps Engine is supported on the following browsers on all operating system platforms:

  • Google Chrome version 10 and later.
  • Mozilla Firefox version 3.6 and later.
  • Microsoft Internet Explorer version 8 and later. Internet Explorer Compatibility View is not supported. 

Install the Google Earth browser plug-in to preview and create maps in 3D, as Google Earth globes.

Maps Engine requires a minimum screen resolution of 1024 x 768. You'll need a wide browser to see all the product features.

Was this article helpful?